
From: Hugh Dickins <hugh@veritas.com>

Sorry, some parentheses around my SWP_WRITEOK check would help.

Signed-off-by: Hugh Dickins <hugh@veritas.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 kernel/power/swsusp.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/power/swsusp.c~swap-update-swsusp-use-of-swap_info-fix kernel/power/swsusp.c
--- devel/kernel/power/swsusp.c~swap-update-swsusp-use-of-swap_info-fix	2005-07-09 11:58:22.000000000 -0700
+++ devel-akpm/kernel/power/swsusp.c	2005-07-09 11:58:22.000000000 -0700
@@ -180,7 +180,7 @@ static int swsusp_swap_check(void) /* Th
 
 	spin_lock(&swap_lock);
 	for (i=0; i<MAX_SWAPFILES; i++) {
-		if (!swap_info[i].flags & SWP_WRITEOK) {
+		if (!(swap_info[i].flags & SWP_WRITEOK)) {
 			swapfile_used[i]=SWAPFILE_UNUSED;
 		} else {
 			if (!len) {
_
